package com.agri.system.service.impl;

import java.util.List;
import com.agri.common.utils.DateUtils;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.agri.system.mapper.SysRollerAirMapper;
import com.agri.system.domain.SysRollerAir;
import com.agri.system.service.ISysRollerAirService;

/**
 * 自动化卷膜风口大小设置Service业务层处理
 * 
 * @author lld
 * @date 2026-03-04
 */
@Service
public class SysRollerAirServiceImpl extends ServiceImpl<SysRollerAirMapper, SysRollerAir> implements ISysRollerAirService 
{

    /**
     * 查询自动化卷膜风口大小设置
     * 
     * @param id 自动化卷膜风口大小设置主键
     * @return 自动化卷膜风口大小设置
     */
    @Override
    public SysRollerAir selectSysRollerAirById(Long id)
    {
        return baseMapper.selectSysRollerAirById(id);
    }

    /**
     * 查询自动化卷膜风口大小设置列表
     * 
     * @param sysRollerAir 自动化卷膜风口大小设置
     * @return 自动化卷膜风口大小设置
     */
    @Override
    public List<SysRollerAir> selectSysRollerAirList(SysRollerAir sysRollerAir)
    {
        return baseMapper.selectSysRollerAirList(sysRollerAir);
    }

    /**
     * 新增自动化卷膜风口大小设置
     * 
     * @param sysRollerAir 自动化卷膜风口大小设置
     * @return 结果
     */
    @Override
    public int insertSysRollerAir(SysRollerAir sysRollerAir)
    {
        sysRollerAir.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertSysRollerAir(sysRollerAir);
    }

    /**
     * 修改自动化卷膜风口大小设置
     * 
     * @param sysRollerAir 自动化卷膜风口大小设置
     * @return 结果
     */
    @Override
    public int updateSysRollerAir(SysRollerAir sysRollerAir)
    {
        sysRollerAir.setUpdateTime(DateUtils.getNowDate());
        return baseMapper.updateSysRollerAir(sysRollerAir);
    }

    /**
     * 批量删除自动化卷膜风口大小设置
     * 
     * @param ids 需要删除的自动化卷膜风口大小设置主键
     * @return 结果
     */
    @Override
    public int deleteSysRollerAirByIds(Long[] ids)
    {
        return baseMapper.deleteSysRollerAirByIds(ids);
    }

    /**
     * 删除自动化卷膜风口大小设置信息
     * 
     * @param id 自动化卷膜风口大小设置主键
     * @return 结果
     */
    @Override
    public int deleteSysRollerAirById(Long id)
    {
        return baseMapper.deleteSysRollerAirById(id);
    }
}
